# the patch for file 0017 (N64 logo overlay) tells it to load the Famicom overlay next
# instead of the normal gameplay overlay. it's specified by its VRAM address and context size.
# these values were taken from the table loaded at 80106E20 (each element is 0x30 long).
diff <(xxd e106dff*/0017*) <(xxd dnm-instant-famicom/0017*) > '0017 V00744020.xxd.patch'

# the patch for file 0023 (Famicom emulator overlay) tells it to load some constant values
# instead of loading them from a setup we never did.
# change the "340f 0002" instruction to select a game. (0001 to 0007)
# it also NOPs out of a loop that expects a flag to be set.
diff <(xxd e106dff*/0023*) <(xxd dnm-instant-famicom/0023*) > '0023 V007492E0.xxd.patch'
